/*////////////////////////////////////////////////////// Responsive CSS Structure //////////////////////////////////////////////////////*/

@media (min-width: 1500px){

    .container{

        max-width: 1440px;

    }

}



@media (max-width: 1599px){

    /* common section */

    .common-bottom-block-item-left{padding: 60px;}

    /* common section */



     /* common block image section */

      .common-block-image-section{padding: 90px 0 50px;}

      .common-block-image-item{height: 290px;}

     /* common block image section */

}



@media (max-width: 1499px){ 

    /* common style */

    h1, .h1{font-size: 80px;}

    h2, .h2{font-size: 54px;}

    h3, .h3{font-size: 44px;}

    h4, .h4{font-size: 32px;}

    h5, .h5{font-size: 28px;}

    /* common style */



    .banner-detail{min-height: 670px;}



     /* flow section  */

     .flow-detail{padding: 200px 0;}

     /* flow section  */



     /* footer */

     .footer{padding: 80px 0;}

     /* footer */



     /* common block image section */

      .common-block-image-item{height: 250px;}

     /* common block image section */



     /* blog detail section */

     .blog-detail-heading-title *{font-size: 50px;}

     .blog-detail-section{padding: 90px 0;}

     /* blog detail section */

     

}



@media (max-width: 1399px){

    /* common style */

    h1, .h1{font-size: 70px;}

    h2, .h2{font-size: 50px;}

    h3, .h3{font-size: 42px;}

    h4, .h4{font-size: 30px;}

    h5, .h5{font-size: 26px;}

    /* common style */



    .banner-detail{min-height: 650px;}



    /* banner-section */

    .banner-detail .main-heading{max-width: 800px;}

    .banner-common-detail{max-width: 800px;}

    /* banner-section */



    /* open house section */

    .open-house-image{height: 320px;}

    /* open house section */



    /* common section */

    .common-bottom-block-item-left{padding: 30px;}

    /* common section */



    /* common block image section */

      .common-block-image-item{height: 220px;}

     /* common block image section */

}



@media (max-width: 1199px){

    /* common style */

    h1, .h1{font-size: 60px;}

    h2, .h2{font-size: 46px;}

    h3, .h3{font-size: 40px;}

    h4, .h4{font-size: 30px;}

    h5, .h5{font-size: 24px;}

    /* common style */



    /* banner-section */

    .banner-detail{min-height: 540px;}

    .banner-detail .main-heading{max-width: 680px;}

    .banner-common-detail{max-width: 650px;}

    .banner-detail{padding: 120px 0 120px;}

    .banner-common-detail *{font-size: 22px;}

    /* banner-section */



    /* open house section */

    .open-house-image{height: 370px; max-width: 675px; margin: 0 auto 50px;}

    .open-house-right{max-width: 675px; margin: 0 auto;}

    /* open house section */



    /* common section */

    .common-bottom-block-item-btn-group{flex-direction: column; align-items: flex-start; gap: 18px;}

    /* common section */



    /* flow section  */

     .flow-detail{padding: 180px 0;}

     /* flow section  */



     /* common block part section */

     .common-block-part-content .row {margin: 0 -15px;}

     .common-block-part-content .row > *{padding: 0 15px;}

     .data-center-image{height: 450px;}

     /* common block part section */



     /* common block image section */

      .common-block-image-section{padding: 70px 0 40px;}

      .common-block-image-content{padding: 0 30px;}

      .common-block-image-content .row{margin: 0 -15px;}

      .common-block-image-content .row > *{padding: 0 15px;}

     /* common block image section */



     /* common block image section */

      .common-block-image-item{height: 200px;}

     /* common block image section */



     .common-space-section{padding: 100px 0;}



     /* vaskistories page */

      .vaskistories-tabing-cards .vaskistories-tabing-img { height: 260px; }

     /* vaskistories page */



     .sign-up-open-house-content .block-title *{font-size: 50px;}



     /* sign up open house section */

     .sign-up-open-house-section{padding: 70px 0 25px;}

     .sign-up-open-house-content .small-block-title {margin: 40px 0 0;}

     .sign-up-open-house-content .common-detail{margin: 40px 0 0;}

     /* sign up open house section */



     /* blog detail section */

     .blog-detail-heading-title *{font-size: 44px;}

     /* blog detail section */



     /* common info detail image section */

     .common-info-detail-image-section{padding: 70px 0;}

     /* common info detail image section */

}



@media (min-width: 992px) {



    /* Show dropdown on hover */

    .navbar-nav .dropdown:hover>.dropdown-menu {

        display: block;

        opacity: 1;

        visibility: visible;

    }



    /* .navbar-nav .dropdown:hover .nav-link.dropdown-toggle{

        -webkit-text-stroke: 0.5px var(--white);

    }



     .navbar-nav .dropdown:hover .nav-link.dropdown-toggle::before{

        background: rgba(255, 255, 255, 1);

    } */



    .navbar-nav .dropdown:hover .nav-link::before{

        width: 100%;

    }



    .dropdown-menu .dropdown:hover>.dropdown-menu {

        display: block;

        opacity: 1;

        visibility: visible;

        top: 0;

        left: 100%;

        margin-top: 0;

        margin-left: 0;

    }



    .dropdown-menu .dropstart:hover>.dropdown-menu {

        right: 100%;

        left: auto;

    }



    .dropdown-menu {

        display: none;

        opacity: 0;

        visibility: hidden;

        transition: opacity 0.2s ease-in-out;

    }



    .navbar-nav .dropdown:hover .dropdown-toggle::after {

        top: 4px !important;

        transform: rotate(-180deg);

        -webkit-transform: rotate(-180deg);

        -moz-transform: rotate(-180deg);

        -ms-transform: rotate(-180deg);

        -o-transform: rotate(-180deg);

    }



    .mobile-dropdown-arrow {display: none;}



    .search-area {

	position: relative;

	width: 40px;

	top: -5px;

}



/* Input */



.search-input {

	position: absolute;

	bottom: -15px;

	right: 100%;

	width: 0;

	height: 100px;

	border: 1px solid #ccc;

	outline: none;

	background: #fff;

	border-radius: 0;

	padding: 0 70px 0 25px;

	font-size: 16px;

	opacity: 0;

	visibility: hidden;

	transition: width .45s cubic-bezier(0.4, 0, 0.2, 1), opacity .25s ease;

	-webkit-border-radius: 0;

	-moz-border-radius: 0;

	-ms-border-radius: 0;

	-o-border-radius: 0;

	-webkit-transition: width .45s cubic-bezier(0.4, 0, 0.2, 1), opacity .25s ease;

	-moz-transition: width .45s cubic-bezier(0.4, 0, 0.2, 1), opacity .25s ease;

	-ms-transition: width .45s cubic-bezier(0.4, 0, 0.2, 1), opacity .25s ease;

	-o-transition: width .45s cubic-bezier(0.4, 0, 0.2, 1), opacity .25s ease;

}



/* Open State */



.search-area.active .search-input {

	width: 760px;

	opacity: 1;

	visibility: visible;

}



/* Icon Button */



.search-btn {

	position: absolute;

	top: 50%;

	transform: translateY(-50%);

	right: 0;

	border: none;

	background: none;

	background-color: transparent;

	color: var(--orange);

	font-size: 18px;

	cursor: pointer;

	display: flex;

	justify-content: center;

	align-items: center;

	-webkit-transform: translateY(-50%);

	-moz-transform: translateY(-50%);

	-ms-transform: translateY(-50%);

	-o-transform: translateY(-50%);

}



/* Placeholder */



.search-input::placeholder {

	color: #999;

}

}



@media (max-width: 991px) {

    /* button-start */



    button.navbar-toggler {

        border: none;

    }

    

    .navbar-toggler {

        right: 0;

        top: 0;

        padding: 0 !important;

    }

    

    .navbar-toggler {

        border: none;

        background-color: transparent;

        position: relative;

        z-index: 9999;

        right: 0;

    }

    

    .navbar-collapse {

        position: fixed;

        top: 0;

        right: -100%;

        max-width: 100%;

        width: 100%;

        bottom: 0;

        height: 100%;

        overflow: auto;

        background-color: #fff;

        transition: 0.5s;

        z-index: 999;

        padding: 100px 20px 30px;

    }

    

    .navbar-collapse.show {

        right: 0;

        height: auto;

    }

    

    .navbar-collapse.show::before {

        right: 0;

    }

    

    .navbar-collapse::before {

        content: "";

        position: fixed;

        width: 100%;

        height: 80px;

        top: 0;

        right: -100%;

        background-color: #ffffff;

        transition: 0.5s;

        z-index: 9;

    }

    

    .navbar .navbar-nav {

        position: relative;

        top: 0;

    }

    

    .header .navbar-nav > .nav-item {

        padding: 20px 0;

    }

    

    .header .navbar-nav .nav-item:first-child {

        padding-left: 0;

    }



    .navbar-toggler span {

        background-color: #000000;

        width: 25px;

        height: 2px;

        display: block;

        margin-bottom: 5px;

        transition: 0.5s;

        position: relative;

    }

    .navbar-toggler span:last-child {

        margin-bottom: 0px;

    }


    .navbar-toggler.open span:first-child {

        top: 5px;

        transform: rotate(45deg);

    }

    

    .navbar-toggler.open span:nth-child(2) {

        display: none;

    }

    

    .navbar-toggler.open span:last-child {

        top: -2px;

        transform: rotate(-45deg);

    }



    .navbar-toggler:focus {

        box-shadow: none;

    }



    .header-content{align-items: center;}

    .header-right-top{margin: 0;}

    .header-content{padding: 18px 15px;}

    .navbar-brand{padding: 0;}

    .navbar-brand{width: 90px;}

    .navbar .navbar-nav .nav-item .nav-link{padding: 0; font-size: 22px;}

    .navbar .navbar-nav .nav-item .nav-link::before{display: none;}

    .navbar .navbar-nav > .nav-item{border-bottom: 2px solid var(--orange);}

    .search-icon{margin: 0; position: relative; top: 10px;}

    .header-right-top-list ul{justify-content: flex-start; flex-direction: row; padding: 20px 0 0; margin: 20px 0 0; gap: 20px; border-top: 2px solid var(--orange);}

    .navbar .navbar-nav .nav-item:not(:last-child){margin-right: 0;}

    .navbar .navbar-nav .nav-item .nav-link.dropdown-toggle::after{display: none;}

    .mobile-dropdown-wrapper{display: flex; justify-content: space-between; align-items: center;}

    .mobile-dropdown-wrapper .nav-link { width: 90%;}

    .mobile-dropdown-arrow { cursor: pointer; transition: all 0.3s; -webkit-transition: all 0.3s; -moz-transition: all 0.3s; -ms-transition: all 0.3s; -o-transition: all 0.3s; }

    .mobile-dropdown-arrow svg path{fill: var(--orange);}

    .dropdown.show .mobile-dropdown-arrow  { transform: rotate(45deg); -webkit-transform: rotate(45deg); -moz-transform: rotate(45deg); -ms-transform: rotate(45deg); -o-transform: rotate(45deg); }

    /* button-end */



    /* common style */

    h1, .h1{font-size: 50px;}

    h2, .h2{font-size: 40px;}

    h3, .h3{font-size: 36px;}

    h4, .h4{font-size: 30px;}

    h5, .h5{font-size: 24px;}

    /* common style */



    /* banner-section */

    .banner-detail .main-heading{max-width: 550px;}

    .banner-common-detail{max-width: 600px;}

    .banner-detail{padding: 100px 0 100px;}

    .banner-common-detail *{font-size: 20px;}

    /* banner-section */



    .open-house-section{padding: 100px 0 70px;}



    /* common section */

    .common-bottom-block > * .row,

    .common-bottom-block > *:nth-child(even) .row{flex-direction: column-reverse;}

    .common-duplicate-section .common-bottom-block .row{flex-direction: column-reverse;}

    .common-bottom-block-item-left{padding: 30px;}

    .common-bottom-block-item-wrp{max-width: 100%;}

    .common-duplicate-section .common-bottom-block-item-left{text-align: left;}

    .common-reverse-section .common-bottom-block > * .row{flex-direction: column-reverse;}

    .common-reverse-section .common-bottom-block > *:nth-child(even) .row{flex-direction: column-reverse;}

    .common-container-section .common-bottom-block-item-left{text-align: left;}

    /* common section */



    /* things section  */

    .things-btn-block{justify-content: center;}

    /* things section  */



     /* flow section  */

     .flow-detail{padding: 140px 0;}

     /* flow section  */



     /* footer */

     .footer-top-content::after{height: 45px;}

     .footer-top-left{padding-top: 0;}

     /* footer */



     .banner-detail{min-height: 470px;}



      /* common contact section */

       .common-contact-section{padding: 70px 0;}

      /* common contact section */



      /* common info section */

      .common-info-content > *:nth-child(odd) .row{flex-direction: column-reverse;}

       .common-info-content > *:nth-child(even) .row{flex-direction: column-reverse;}

       .common-info-content > *:not(:last-child){margin-bottom: 50px;}

       .common-info-section{padding: 70px 0 50px; margin: 35px 0 0;}

      /* common info section */



      .common-table-section{padding: 50px 0;}



      /* tool-section */

      .tool-section{padding: 30px 0;}

      .tool-bottom-block{margin: 50px 0 0;}

      .tool-image-info .common-detail{margin: 40px 0 0;}

      /* tool-section */



      .common-video-block{padding: 0 50px;}





      .spec-table,

	.spec-table tbody,

	.spec-table tr,

	.spec-table td {font-size: 15px;}



    .spec-table td::before{font-size: 15px;}



     /* vaskistories page */

      .vaskistories-tabing-section .vaskistories-tabing-block{ padding: 60px 0; }

      .vaskistories-tabing-block .vaskistories-tabing ul li{ margin-right: 18px; }

      .vaskistories-tabing-block .vaskistories-tabing ul{ row-gap: 10px; }

      .vaskistories-tabing-cards .vaskistories-tabing-img { height: 230px; }

      /* vaskistories page */



      .sign-up-open-house-content .block-title *{font-size: 40px;}



      /* blog detail section */

     .blog-detail-heading-title *{font-size: 40px;}

     .blog-detail-section{padding: 80px 0;}

     /* blog detail section */



     /* search */

     .search-input{width: 100%; border: none; color: var(--orange);}

     .navbar-collapse .search-area.active .search-input {-webkit-appearance: searchfield;}

     .search-area{ width: 100%; display: flex; justify-content: space-between; padding: 18px 0 0;}

     .search-area form {width: 100%;}

     .search-btn{color: var(--orange); background: none; background-color: transparent;}

     .search-input::placeholder{color: var(--orange);}

    .select-wrap {z-index: 9999;}

     /* search */



    /* common info detail image section */

    .common-info-detail-image-section{padding: 50px 0;}

    /* common info detail image section */



    .automation-block .common-bottom-block > * .row { flex-direction: unset !important; }

    .automation-block .common-bottom-block-item-left {padding: 20px;}

    .product-catalogue-download-main .catalogue-download-right { margin-top: 30px; }

}



@media (min-width: 768px) and (max-width: 991px){

}



@media (min-width: 768px) {

}



@media (max-width: 767px) {

    /* common style */

    h1, .h1{font-size: 40px;}

    h2, .h2{font-size: 36px;}

    h3, .h3{font-size: 30px;}

    h4, .h4{font-size: 26px;}

    h5, .h5{font-size: 24px;}

    /* common style */



    .navbar-brand{width: 80px;}

    .navbar-collapse{padding: 90px 20px 30px;}



    /* banner-section */

    .banner-detail{min-height: 405px;}

    .banner-detail .main-heading{max-width: 550px;}

    .banner-common-detail{max-width: 600px;}

    .banner-detail{padding: 80px 0;}

    .banner-common-detail *{font-size: 18px;}

    /* banner-section */



    /* open house section */

    .open-house-section{padding: 70px 0 35px;}

    .open-house-image{height: 300px; max-width: 675px; margin: 0 auto 50px;}

    .open-house-right{max-width: 675px; margin: 0 auto;}

    /* open house section */



    /* common section */

     .common-bottom-block{margin: 50px 0 0;}

     .common-bottom-block-item-left{padding: 25px;}

     .common-block-part{margin: 50px 0 0;}

    /* common section */



    .why-choose-content{padding: 0 25px;}



    .common-table-section{padding: 30px 0;}



    .puching-section{padding: 30px 0;}



     /* flow section  */

     .flow-detail{padding: 100px 0;}

     /* flow section  */



     /* footer */

     .footer-top-content::after{height: 35px;}

     .footer-top-left{padding-top: 0;}

     .footer-top-content{padding-bottom: 70px;}

     .footer-logo{width: 120px;}

     .footer-top-left{max-width: 200px;}

     .footer-menu ul li a{font-size: 18px;}

     .footer-location *{font-size: 18px;}

     .footer{padding: 60px 0;}

     .social-media-list ul{gap: 20px;}

     .social-media-list ul li a{font-size: 22px;}

     /* footer */



     /* tool-section */

      .tool-bottom-block{padding: 0 15px;}

      /* tool-section */



      .common-video-block{padding: 0 25px;}



      /* common block image section */

      .common-block-image-section{padding: 40px 0 20px;}

      .common-block-image-content{padding: 0 20px;}

     /* common block image section */



     /* location section */

     .location-detail-wrp-info{max-width: 100%;}

     /* location section */



     .common-space-section{padding: 70px 0;}



     .common-vaskishape-table-section .spec-table td::before{ top: unset; transform: none; -webkit-transform: none; -moz-transform: none; -ms-transform: none; -o-transform: none; width: 65%; }



     .common-vaskishape-table-section .spec-table td{padding: 24px 12px 24px 70%;}



     /* vaskistories page */

     .vaskistories-tabing-block .vaskistories-tabing ul{ justify-content: center; }

     .vaskistories-tabing-cards .vaskistories-tabing-img { height: 200px; }

     .vaskistories-tabing-section .vaskistories-tabing-cards-block{padding: 50px 0 40px}

     .custom-pagination{margin: 10px 0;}

     .vaskistories-tabing-cards-block .vaskistories-tabing-cards{margin-bottom: 30px; height: calc(100% - 30px);}

     .vaskistories-tabing-section .vaskistories-tabing-block { padding: 50px 0; }

     .vaskistories-tabing-cards .vaskistories-tabing-card-cotent { padding: 20px 15px; }

     .custom-pagination li a{font-size: 16px; width: 25px; height: 25px;}

     /* vaskistories page */



       .sign-up-open-house-content .block-title *{font-size: 36px;}



       .register-block{padding: 0 20px;}



       .open-house-image-content{padding: 0;}



       /* blog detail section */

     .blog-detail-heading-title *{font-size: 36px;}

     .blog-detail-section{padding: 70px 0;}

     /* blog detail section */



     /* common info detail image section */

     .common-info-detail-image-section{padding: 40px 0;}

     /* common info detail image section */





    .common-bottom-block:has(.only-image-layout) {flex-direction: column;}

    .common-bottom-block .only-image-layout { width: 100%; }

}



/*---------- Small Mobile , IPhone Start ----------*/



/*=== Screen Size = 240, 320, 360, 480, 568 ===*/

@media (min-width: 576px) and (max-width: 767px){

}



@media (min-width: 240px) and (max-width: 575px){

    /* common style */

    h1, .h1{font-size: 36px;}

    h2, .h2{font-size: 32px;}

    h3, .h3{font-size: 28px;}

    h4, .h4{font-size: 24px;}

    h5, .h5{font-size: 22px;}

    /* common style */



    .navbar-brand{width: 70px;}

    .navbar-collapse{padding: 80px 20px 30px;}



    /* open house section */

    .open-house-image{height: auto; max-width: 100%; margin: 0 auto 50px;}

    .open-house-right{max-width: 100%; margin: 0 auto;}

    /* open house section */



    /* flow section  */

     .flow-detail{padding: 80px 0;}

     /* flow section  */



     /* footer */

     .footer-top-content::after{height: 25px;}

     .footer-top-left{padding-top: 0;}

     .footer-top-content{padding-bottom: 70px;}

     .footer-logo{width: 110px;}

     .footer-top-left{max-width: 180px;}

     .footer-menu ul li a{font-size: 16px;}

     .footer-location *{font-size: 16px;}

     .footer{padding: 50px 0;}

     .social-media-list ul{gap: 15px;}

     .social-media-list ul li a{font-size: 20px;}

     /* footer */







     /* contact info detail section */

     .local-contact-info .common-detail *{font-size: 15px; line-height: 120%;}

     .contry-sub-title{font-size: 15px; line-height: 120%;}

     .contry-title *{font-size: 20px;}

     .contact-info-detail-item-title{margin-bottom: 50px;}

     .contact-info-detail-item-wrp-main-block{margin: 50px 0 0;}

     .contact-info-detail-item-wrp-main-block > *:not(:last-child){margin-bottom: 50px;}

     .contact-info-detail-content > *:not(:last-child){margin-bottom: 50px;}

     /* contact info detail section */



     ol, ul{padding-left: 30px;}

     .common-typography-block-section .common-typography-content{padding: 20px;}



     .common-space-section{padding: 50px 0;}



     .vaski-product-section{padding: 25px 0;}



     .sign-up-open-house-content .block-title *{font-size: 32px;}



     /* register section */

     .register-section .form-check-label,

.register-section .form-check-label-title,

.register-section .common-form .form-label{font-size: 16px !important;}

.register-info-detail *{font-size: 16px!important;}

     /* register section */



     /* blog detail section */

     .blog-detail-heading-title *{font-size: 30px;}

     .blog-detail-section{padding: 50px 0;}

     /* blog detail section */



     /* typography */

     .alignnone { float: none; display: block; margin: 20px auto; }

    .alignleft { float: none; display: block; margin: 20px auto; }

    .aligncenter { float: none; display: block; margin: 20px auto; }

    .alignright { float: none; display: block; margin: 20px auto; }

     /* typography */

}



@media (max-width: 359px){

    .navbar-brand{width: 65px;}



    /* footer */

     .footer-top-content::after{height: 20px;}

     .footer-top-content{padding-bottom: 70px; flex-direction: column; align-items: center; text-align: center;}

     .footer-top-left{max-width: 100%;}

     .footer-top-left .block-title::after{ left: 50%; transform:translateX(-50%) ; -webkit-transform:translateX(-50%) ; -moz-transform:translateX(-50%) ; -ms-transform:translateX(-50%) ; -o-transform:translateX(-50%) ; }

     .footer-bottom-content{flex-direction: column; align-items: center; text-align: center;}

     /* footer */

}





